Gwaterpas

From Openmoko

(Difference between revisions)
Jump to: navigation, search
(Download)
Line 16: Line 16:
 
* openmoko GTA-02 ipkg [http://www.ecirc.net/openmoko/gwaterpas_0.3_armv4t.ipk] / version for latest kernel [http://www.opkg.org/packages/gwaterpas_0.3.1_armv4t.ipk]
 
* openmoko GTA-02 ipkg [http://www.ecirc.net/openmoko/gwaterpas_0.3_armv4t.ipk] / version for latest kernel [http://www.opkg.org/packages/gwaterpas_0.3.1_armv4t.ipk]
 
* required libfltk [http://www.ecirc.net/openmoko/libfltk_1.1.9-0_armv4t.ipk]
 
* required libfltk [http://www.ecirc.net/openmoko/libfltk_1.1.9-0_armv4t.ipk]
 +
 +
== Icon ==
 +
* try this one instead of the original one
 +
Image:gwaterpas-icon.png|icon
  
 
== Screenshots ==
 
== Screenshots ==

Revision as of 08:00, 17 August 2009

Contents

Overview

I (Kurt Van Dijck) wrote this application to use Openmoko as a 1D or 2D levelling tool.

Features

  • You can select which of the 2 accelerometers to use (or use them both, but I'm not aware how exactly they are positioned)
  • easy calibration: The program remembers 6 calibration values: 3 axis on 2 sensors.
  • Any 3 axis for 1D levelling
  • Any of 3 combined axis for 2D levelling

version 0.3

  • proper rotate/resize in 2D mode.
  • icon provided on discussion page here

Download

  • sources [1]
  • openmoko GTA-02 ipkg [2] / version for latest kernel [3]
  • required libfltk [4]

Icon

  • try this one instead of the original one

Image:gwaterpas-icon.png|icon

Screenshots

Personal tools

Overview

I (Kurt Van Dijck) wrote this application to use Openmoko as a 1D or 2D levelling tool.

Features

  • You can select which of the 2 accelerometers to use (or use them both, but I'm not aware how exactly they are positioned)
  • easy calibration: The program remembers 6 calibration values: 3 axis on 2 sensors.
  • Any 3 axis for 1D levelling
  • Any of 3 combined axis for 2D levelling

version 0.3

  • proper rotate/resize in 2D mode.
  • icon provided on discussion page here

Download

  • sources [1]
  • openmoko GTA-02 ipkg [2] / version for latest kernel [3]
  • required libfltk [4]

Screenshots